Album: Moonslayer
Style: single
Artists:
- Raid
Date: April 13, 2022
Date Added: January 30, 2025
URLs:
- https://rudecustard.bandcamp.com/track/moonslayer
- https://www.youtube.com/watch?v=K9KKJQEMQ7o
- https://open.spotify.com/album/7gaJgYfluhd9siqfhNblqA
Cover Artists:
- Raid
Cover Art File Extension: png
Color: '#ac91ff'
Groups:
- Raid
- Fandom
Wallpaper Artists:
- Raid
- Lilithtreasure (edits for wiki)
Wallpaper File Extension: png
Wallpaper Style: |-
    opacity: 0.3;
    background-size: 698px 683px;
---
Track: Moonslayer
Duration: 5:04
Referenced Tracks:
- Nattopet
- track:moonsetter
- You Must Believe in Spring
- My Curse
- Central Park West
- track:heir-of-grief
Commentary: |-
   <i>Raid:</i> ([Bandcamp about blurb](https://rudecustard.bandcamp.com/track/moonslayer))

   An electronic jazz rock VGM type cover of [[Moonsetter]] by Toby Fox.<br>
   [Check it out on YouTube too.](https://www.youtube.com/watch?v=K9KKJQEMQ7o)

   <i>Raid:</i> ([Bandcamp credits blurb](https://rudecustard.bandcamp.com/track/moonslayer))

   Arrangement, performance, recording, and mixing by me<br>
   Original tune by [[artist:toby-fox]]

   <i>Raid:</i> ([YouTube description](https://www.youtube.com/watch?v=K9KKJQEMQ7o), excerpt)

   Happy 4/13. Homestuck is getting old. I'm getting old, too. I will graduate from college and turn 22 this year. But my love of music, especially of music from Homestuck, will never get old. So here's a fun little remix of Toby Fox's [["Moonsetter."]] Copious amounts of virtual distorted electric guitar, jazz piano, and intense rock drumming included. Enjoy.

   For some blabbery on how I arrived at the name "Moonslayer," check out the extended description.

   <i>Raid:</i> (["Moonslayer extended description"](https://pastebin.com/GQ1epnKH))

   Why'd I call it Moonslayer? Well, I was looking for a cool edgy yet catchy little name to title this track while riffing off the Homestuck Music Team's theme of titling tracks Moon/Sun + word that starts with S. Moonsetter is the name of the original track. [[Moonshatter]] and [[Sunsetter]] are the names of a couple of Toby Fox's other Homestuck music contributions. [[Moonsweater]] is the name of a track on [[album:homestuck-vol-10|Homestuck Volume 10]] by [[artist:david-ellis|A Lunatic's Daydream]]. So you see what I mean. I considered Moonslammer, like [[Sunslammer]] by [[artist:seth-peelle|Beatfox]], but that wasn't edgy enough for me. So I settled on Moonslayer. Yeah. "Moonslayer" brings up catastrophic, apocalyptic images of destroying the moon, but not just destroying the moon-slaying it, as though the moon were a living entity capable of being conquered. A spirit. A god or goddess, maybe. A constant observer of mankind. Something personified, and then killed. Very edgy. Absolutely perfect.
